__all__ = [
    'MessageIdNotFound',
    'UnparsableDateRange',
    'UnsupportedDisplayType',
    'UnsupportedOrder',
    ]


class ArchiveIdNotFound(Exception):
    """No archive matching the archive_id was found in the store."""

class MessageIdNotFound(Exception):
    """No message matching the message_id was found in the archive."""


class UnparsableDateRange(Exception):
    """The date_range was not in the format of 2012-01-01..2012-01-31."""


class UnsupportedDisplayType(Exception):
    """Raised when an Unsupported display_type is requested."""


class UnsupportedOrder(Exception):
    """Raised when an Unsupported order is requested."""
